---
{%- from "telegraf/map.jinja" import telegraf with context %}
telegraf-service-file:
  file.managed:
    - name: /etc/systemd/system/telegraf@.service
    - source: salt://telegraf/templates/telegraf.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: telegraf-service

{% for cfg, value in telegraf.config.items() %}
telegraf-{{ cfg }}-service:
  service.running:
    - name: telegraf@{{ cfg }}
    - enable: true
{% endfor %}
